*   Title:  SMALL CHARGED SPHERE:  denominators
*    File:  denoms.frm
*  Author:  David N. Williams
* License:  Creative Commons Attribution-Share Alike
* Started:  November 8, 1987 (Schoonschip)
*           July 8, 2012     (Form)
* Revised:  July 8,9,28, 2012
*
* All parts of this program not in the public domain are:
*
*   Copyright (C) 1987, 2012 David N. Williams
*
* This work is licensed under the Creative Commons Attribution-
* Share Alike 2.5 License.  To view a copy of this license, visit
* http://creativecommons.org/licenses/by-sa/2.5/ or send a letter
* to Creative Commons, 543 Howard Street, 5th Floor, San
* Francisco, California, 94105, USA.
*
*   Input:  RdotU from rdotu.frm
*  Output:  [1/RdotU^2], [1/RdotU^3] in denoms.sav
*
* We need two orders in [1/RdotU^2] and three in [1/RdotU^3] to
* get the leading nonsingular term in the Lorentz force.

*** DECLARATIONS

off statistics;

S eps;
S c,snorm;
V u,a,j,n;
T d1y,d2y,d3y,d1u,d2u,d1a;
Load rdotu.sav;
S x,i;

*** MODULES

* need 2 orders for leading nonsingular term
* G [1/RdotU^2] = sum_(i,0,1,sign_(i)*x^i*binom_(2-1+i,i));
G [1/RdotU^2] = 1 - 2*x;
Id x = RdotU*eps^-1*snorm^-1*c^-1 - 1;
Id eps^2 = 0;

multiply eps^-2*snorm^-2*c^-2;

.sort

hide [1/RdotU^2];

* need 3 orders for leading nonsingular term
* G [1/RdotU^3] = sum_(i,0,2,sign_(i)*x^i*binom_(3-1+i,i));
G [1/RdotU^3] = 1 - 3*x + 6*x^2;
Id x = RdotU*eps^-1*snorm^-1*c^-1 - 1;
Id eps^3 = 0;

multiply eps^-3*snorm^-3*c^-3;
.sort

unhide [1/RdotU^2];
b eps,snorm;
print +s;
.store

save denoms.sav [1/RdotU^2],[1/RdotU^3];
.end
