*   Title:  SMALL CHARGED SPHERE:  Lorentz force
*            F(mu,nu)*U(nu) singular orders
*            comparison to Schoonschip
*    File:  lfreg-ck.frm
*  Author:  David N. Williams
* License:  Creative Commons Attribution-Share Alike
* Started:  July 28, 2012
* Revised:  July 28,29, 2012
*
* All parts of this program not in the public domain are:
*
*   Copyright (C) 1987-1990, 2012 David N. Williams
*
* This work is licensed under the Creative Commons Attribution-
* Share Alike 2.5 License.  To view a copy of this license, visit
* http://creativecommons.org/licenses/by-sa/2.5/ or send a letter
* to Creative Commons, 543 Howard Street, 5th Floor, San
* Francisco, California, 94105, USA.
*
*   Input:  lfreg from lfreg.sav
*  Output:  none
*
* This program loads the output lfreg of lfreg.sav and
* checks it against Schoonschip results pasted from
* lffin-nokill.out.

* DOES NOT PASS!!

*** DECLARATIONS

OFF statistics;

S eps;
S c,snorm;
V u,a,j,n;
T d1y,d2y,d3y,d1u,d2u,d1a;
T eta;
I mu;

S aDa,norm,p;
I Naa,Nab;

Load lfreg.sav;

*** MODULES

* Schoonschip output UAE Amiga emulator, July 28, 2012, lffin-nokill.e
* D1..., D2..., D3... replaced by d1..., d2..., d3... 28-Jul-12
* Note that his lacks a factor 1/c compared to lfreg.

L f = 
+ u(mu)
  * ( 2/3*c^-4*aDa )
 
 + j(mu)
  * ( 2/3*c^-2 )
 
 + d1y(u,n)*u(mu)
  * ( 1/2*c^-5*norm^-1*aDa )
 
 + d1y(u,n)*j(mu)
  * ( 1/2*c^-3*norm^-1 )
 
 + d1y(u,n)*d1y(u,n)*d1y(u,n)*u(mu)
  * ( 1/6*c^-7*norm^-3*aDa )
 
 + d1y(u,n)*d1y(u,n)*d1y(u,n)*j(mu)
  * ( 1/6*c^-5*norm^-3 )
 
 + d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)*a(mu)
  * ( - 3/4*c^-7*norm^-5 )
 
 + d1y(a,n)*a(mu)
  * ( 3/4*c^-3*norm^-1 )
 
 + d2y(Naa,n,n)*d1y(Naa,n)*a(mu)
  * ( - 1/4*c^-1*norm^-3 )
 
 + d2y(Naa,n,n)*d1y(Naa,n)*d1y(u,n)*d1y(u,n)*a(mu)
  * ( - 3/4*c^-3*norm^-5 )
 
 + d2y(Naa,n,n)*d2y(mu,n,n)*d1y(Naa,n)
  * ( - 3/4*c*norm^-5 )
 
 + d2y(Naa,n,n)*d2y(u,n,n)*d1y(Naa,n)*u(mu)
  * ( 3/4*c^-1*norm^-5 )
 
 + d2y(Naa,n,n)*d1u(mu,n)*d1y(Naa,n)*d1y(u,n)
  * ( 3/2*c^-1*norm^-5 )
 
 + d2y(mu,n,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)
  * ( - 3/4*c^-3*norm^-5 )
 
 + d2y(mu,n,n)*d1y(a,n)
  * ( 1/4*c^-1*norm^-3 )
 
 + d2y(mu,n,n)*d2y(u,n,n)*d1y(u,n)
  * ( 3/4*c^-1*norm^-5 )
 
 + d2y(mu,n,n)*d1u(Naa,n)*d1y(Naa,n)*d1y(u,n)
  * ( 3/2*c^-1*norm^-5 )
 
 + d2y(u,n,n)*d1y(u,n)*a(mu)
  * ( - 1/4*c^-3*norm^-3 )
 
 + d2y(u,n,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*a(mu)
  * ( 3/4*c^-5*norm^-5 )
 
 + d2y(u,n,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)*u(mu)
  * ( 3/4*c^-5*norm^-5 )
 
 + d2y(u,n,n)*d1y(a,n)*u(mu)
  * ( - 1/4*c^-3*norm^-3 )
 
 + d2y(u,n,n)*d2y(u,n,n)*d1y(u,n)*u(mu)
  * ( - 3/4*c^-3*norm^-5 )
 
 + d2y(u,n,n)*d1u(Naa,n)*d1y(Naa,n)*d1y(u,n)*u(mu)
  * ( - 3/2*c^-3*norm^-5 )
 
 + d2y(u,n,n)*d1u(mu,n)
  * ( 1/2*c^-1*norm^-3 )
 
 + d2y(u,n,n)*d1u(mu,n)*d1y(u,n)*d1y(u,n)
  * ( - 3/2*c^-3*norm^-5 )
 
 + d3y(mu,n,n,n)
  * ( - 1/6*c*norm^-3 )
 
 + d3y(u,n,n,n)*u(mu)
  * ( 1/6*c^-1*norm^-3 )
 
 + d1u(Naa,n)*d1y(Naa,n)*d1y(u,n)*a(mu)
  * ( 1/2*c^-3*norm^-3 )
 
 + d1u(Naa,n)*d1y(Naa,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*a(mu)
  * ( 3/2*c^-5*norm^-5 )
 
 + d1u(Naa,n)*d1u(mu,n)*d1y(Naa,n)*d1y(u,n)*d1y(u,n)
  * ( - 3*c^-3*norm^-5 )
 
 + d1u(mu,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)
  * ( 3/2*c^-5*norm^-5 )
 
 + d1u(mu,n)*d1y(u,n)*d1y(a,n)
  * ( - 1/2*c^-3*norm^-3 )
 
 + d1u(a,n)*u(mu)
  * ( - 1/2*c^-3*norm^-1 )
 
 + d1u(a,n)*d1y(u,n)*d1y(u,n)*u(mu)
  * ( - 1/2*c^-5*norm^-3 )
 
 + d2u(mu,n,n)*d1y(u,n)
  * ( 1/2*c^-1*norm^-3 )
 
 + d2u(u,n,n)*d1y(u,n)*u(mu)
  * ( - 1/2*c^-3*norm^-3 )
 
 + d1a(mu,n)
  * ( - 1/2*c^-1*norm^-1 )
 
 + d1a(mu,n)*d1y(u,n)*d1y(u,n)
  * ( - 1/2*c^-3*norm^-3 )
 
 + eta(mu,n)
  * ( - 3/8*c^-3*norm^-1*aDa )
 
 + eta(mu,n)*d1y(u,n)*d1y(u,n)
  * ( 1/4*c^-5*norm^-3*aDa )
 
 + eta(mu,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)
  * ( 1/8*c^-7*norm^-5*aDa )
 
 + eta(mu,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)*d1y(a,n)
  * ( - 15/8*c^-7*norm^-7 )
 
 + eta(mu,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(j,n)
  * ( 1/2*c^-5*norm^-5 )
 
 + eta(mu,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)*d1y(a,n)
  * ( 9/4*c^-5*norm^-5 )
 
 + eta(mu,n)*d1y(u,n)*d1y(j,n)
  * ( - 1/2*c^-3*norm^-3 )
 
 + eta(mu,n)*d1y(a,n)*d1y(a,n)
  * ( - 3/8*c^-3*norm^-3 )
 
 + eta(mu,n)*d2y(Naa,n,n)*d1y(Naa,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)
  * ( - 15/4*c^-3*norm^-7 )
 
 + eta(mu,n)*d2y(Naa,n,n)*d1y(Naa,n)*d1y(a,n)
  * ( 3/4*c^-1*norm^-5 )
 
 + eta(mu,n)*d2y(Naa,n,n)*d2y(Naa,n,n)
  * ( - 3/8*c*norm^-5 )
 
 + eta(mu,n)*d2y(Naa,n,n)*d2y(Nab,n,n)*d1y(Naa,n)*d1y(Nab,n)
  * ( - 15/8*c*norm^-7 )
 
 + eta(mu,n)*d2y(Naa,n,n)*d2y(u,n,n)*d1y(Naa,n)*d1y(u,n)
  * ( 15/4*c^-1*norm^-7 )
 
 + eta(mu,n)*d2y(Naa,n,n)*d1u(Naa,n)*d1y(u,n)
  * ( 3/2*c^-1*norm^-5 )
 
 + eta(mu,n)*d2y(Naa,n,n)*d1u(Nab,n)*d1y(Naa,n)*d1y(Nab,n)*d1y(u,n)
  * ( 15/2*c^-1*norm^-7 )
 
 + eta(mu,n)*d2y(u,n,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)
  * ( 15/4*c^-5*norm^-7 )
 
 + eta(mu,n)*d2y(u,n,n)*d1y(u,n)*d1y(a,n)
  * ( - 9/4*c^-3*norm^-5 )
 
 + eta(mu,n)*d2y(u,n,n)*d2y(u,n,n)
  * ( 3/8*c^-1*norm^-5 )
 
 + eta(mu,n)*d2y(u,n,n)*d2y(u,n,n)*d1y(u,n)*d1y(u,n)
  * ( - 15/8*c^-3*norm^-7 )
 
 + eta(mu,n)*d2y(u,n,n)*d1u(Naa,n)*d1y(Naa,n)
  * ( 3/2*c^-1*norm^-5 )
 
 + eta(mu,n)*d2y(u,n,n)*d1u(Naa,n)*d1y(Naa,n)*d1y(u,n)*d1y(u,n)
  * ( - 15/2*c^-3*norm^-7 )
 
 + eta(mu,n)*d2y(a,n,n)
  * ( 1/4*c^-1*norm^-3 )
 
 + eta(mu,n)*d2y(a,n,n)*d1y(u,n)*d1y(u,n)
  * ( - 3/4*c^-3*norm^-5 )
 
 + eta(mu,n)*d3y(Naa,n,n,n)*d1y(Naa,n)
  * ( - 1/2*c*norm^-5 )
 
 + eta(mu,n)*d3y(u,n,n,n)*d1y(u,n)
  * ( 1/2*c^-1*norm^-5 )
 
 + eta(mu,n)*d1u(Naa,n)*d1y(Naa,n)*d1y(u,n)*d1y(u,n)*d1y(u,n)*d1y(a,n)
  * ( 15/2*c^-5*norm^-7 )
 
 + eta(mu,n)*d1u(Naa,n)*d1y(Naa,n)*d1y(u,n)*d1y(a,n)
  * ( - 9/2*c^-3*norm^-5 )
 
 + eta(mu,n)*d1u(Naa,n)*d1u(Nab,n)*d1y(Naa,n)*d1y(Nab,n)
  * ( 3/2*c^-1*norm^-5 )
 
 + eta(mu,n)*d1u(Naa,n)*d1u(Nab,n)*d1y(Naa,n)*d1y(Nab,n)*d1y(u,n)*d1y(u,n)
  * ( - 15/2*c^-3*norm^-7 )
 
 + eta(mu,n)*d1u(a,n)*d1y(u,n)
  * ( - c^-3*norm^-3 )
 
 + eta(mu,n)*d2u(Naa,n,n)*d1y(Naa,n)*d1y(u,n)
  * ( 3/2*c^-1*norm^-5 )
 
 + eta(mu,n)*d2u(u,n,n)
  * ( - 1/2*c^-1*norm^-3 )
 
 + eta(mu,n)*d1a(Naa,n)*d1y(Naa,n)
  * ( 1/2*c^-1*norm^-3 )
 
 + eta(mu,n)*d1a(Naa,n)*d1y(Naa,n)*d1y(u,n)*d1y(u,n)
  * ( - 3/2*c^-3*norm^-5 ) + 0
;

id aDa = a.a;
id norm = snorm;
id norm^p? = snorm^p;
sum Naa,Nab;
.sort

hide f;
G diff = lfreg - f/c;

#if 0
* Adapted from NeXT lffin.
* Kill nonrigid, rotating terms:
Id d2y(u?,n,n)=0;
Id d3y(u?,n,n,n)=0;
* Id d1u(u?,n)=0;
Id d2u(u?,n,n)=0;
* Id d1a(u?,n)=0;
.sort
* Constant strain:
Id d1u(mu?,n)*d1y(mu?,n)=c^-2*d1y(u,n)*d1y(a,n);
#endif

b eps,snorm;
print;
.end
