*   Title:  SMALL CHARGED SPHERE:
*           RdotA comparison to Schoonschip
*    File:  rdota-ck.frm
*  Author:  David N. Williams
* License:  Creative Commons Attribution-Share Alike
* Started:  July 8, 2012
* Revised:  July 8-10,28, 2012
*
* All parts of this program not in the public domain are:
*
*   Copyright (C) 1987, 2012 David N. Williams
*
* This work is licensed under the Creative Commons Attribution-
* Share Alike 2.5 License.  To view a copy of this license, visit
* http://creativecommons.org/licenses/by-sa/2.5/ or send a letter
* to Creative Commons, 543 Howard Street, 5th Floor, San
* Francisco, California, 94105, USA.
*
*   Input:  RdotA from rdota.sav
*  Output:  none
*
* This program loads the output rdotu.sav of rdotu.frm and
* checks it against Schoonschip results pasted from rdotu.out.

*** DECLARATIONS

off statistics;

S eps;
S c;
S snorm;
I mu,nu,l,m;
V y,u,a,j,n;
T d1y,d2y,d3y,d1u,d2u,d1a;
Load rdota.sav;

S norm, aDa, p;
I Naa;

*** MODULES

* NeXT Schoonschip output, May 12, 1993
* D1..., D2..., D3... replaced by d1..., d2..., d3... 28-Jul-12

L RdotAnext =
 + eps^2
  * ( 1/2*c^-2*norm^2*aDa )
 
 - d1y(Naa,n)*d1a(Naa,n)*eps^2
 
 + d1y(u,n)*eps^2
  * ( c^-3*norm*aDa )
 
 + d1y(u,n)*d1y(u,n)*eps^2
  * ( 1/2*c^-4*aDa )
 
 + d1y(u,n)*d1y(j,n)*eps^2
  * ( c^-2 )
 
 - d1y(a,n)*eps
 
 + d1y(j,n)*eps^2
  * ( c^-1*norm )
 
 - 1/2*d2y(a,n,n)*eps^2 + 0;

id aDa = a.a;
id norm = snorm;
id norm^p? = snorm^p;
sum Naa;
.sort

hide RdotAnext;
G diff = RdotA - RdotAnext;
b eps,snorm;
print;
.end
